Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005499OCamlOCaml windowspublic2012-02-04 11:532013-08-31 12:48
Reportershadinger 
Assigned Toprotz 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSWin7OS Version64 bits
Product Version3.12.1 
Target VersionFixed in Version4.01.0+dev 
Summary0005499: Problem including <caml/socketaddr.h>
DescriptionWhen including in C <caml/socketaddr.h>, in generates an error that it cannot import <misc.h>.

I guess you should change in otherlibs/win32unix/socketaddr.h

    #include <misc.h>

into

    #include "misc.h"

Patch included.
TagsNo tags attached.
Attached Filespatch file icon socketaddr.h.patch [^] (344 bytes) 2012-02-04 11:53 [Show Content]

- Relationships

-  Notes
(0007127)
protz (manager)
2012-03-22 09:40

Thanks, and sorry for the delay!

- Issue History
Date Modified Username Field Change
2012-02-04 11:53 shadinger New Issue
2012-02-04 11:53 shadinger File Added: socketaddr.h.patch
2012-02-14 16:23 gasche Assigned To => protz
2012-02-14 16:23 gasche Status new => assigned
2012-03-22 09:40 protz Note Added: 0007127
2012-03-22 09:40 protz Status assigned => resolved
2012-03-22 09:40 protz Fixed in Version => 4.01.0+dev
2012-03-22 09:40 protz Resolution open => fixed
2013-08-31 12:48 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker